撸Linux


2018年wine QQ最完美解决方案(多Linux发行版通过测试并稳定运行)

腾讯官方早就在10年代初就停止运营Linux版QQ,然而民间折腾Linux版QQ的脚步从来没停过。时至今日,它总算有了完美无暇的方案——deepin wine系列。要感谢deepin公司的最大努力。也要感谢wszqkzqk同学的努力,是他让deepin之外的众多Ubuntu/ArchLinux系用户都能用上最稳定的wine QQ。

初始软件来源:deepin

兼容发行版:Ubuntu 16.04-18.10、LinuxMint 18.*-19、ArchLinux、Manjaro

Ubuntu系发行版*安装deepin wine QQ的步骤

第1步,安装deepin-wine环境:https://github.com/wszqkzqk/deepin-wine-ubuntu页面下载zip包(或用git方式克隆),解压到本地文件夹,在文件夹中打开终端,输入sudo sh ./install.sh一键安装。

第2步,安装deepin.com应用容器:http://mirrors.aliyun.com/deepin/pool/non-free/d/中下载想要的容器,点击deb安装即可。以下为推荐容器:

* Ubuntu系发行版包括Ubuntu、LinuxMint、ZorinOS等。

ArchLinux系发行版*安装deepin wine QQ的步骤

第1步,添加archlinuxcn源。在/etc/pacman.conf里加入以下代码:

[archlinuxcn]
SigLevel = Never
Server = http://mirrors.tuna.tsinghua.edu.cn/archlinuxcn/$arch

修改了pacman.conf之后,执行pacman -Sy命令更新一下数据库。

第2步,安装QQ或TIM的任意一种。终端里运行pacman -S deepin.com.qq.officepacman -S deepin.com.qq.im

* ArchLinux系发行版包括ArchLinux、Manjaro、Antergos等。关于ArchLinux系发行版能完美使用deepin-wine方案,我去年在《Linux下wine QQ终于有正式稳定的版本啦,后盾强大,同步腾讯》这篇博文里推荐过。

一些小问题的解决方法:

0,安装之后找不到在哪里启动:这个问题很弱智,我不会回答的。

1,Ubuntu桌面无法显示托盘图标:安装TopIconPlus的gnome-shell扩展,命令:sudo apt-get install gnome-shell-extension-top-icons-plus gnome-tweaks,然后用r命令重启gnome-shell,最后用gnome-tweaks开启这个扩展。

2,微信无法发送图片:sudo apt install libjpeg62:i386

3,Manjaro/ArchLinux下QQ和TIM字体发虚:需要安装打了字体清晰化补丁(如infinality/ultimate5)的freetype的lib32位包,挺复杂,建议不折腾。实在无法忍受的强迫症同学可以联系小撸打赏获取。

4,TIM无法“发送图片”:这个问题是11月初出现的,请改用“传送文件”或截图的方式发送。

5,安装好的TIM打不开:如果是KDE/Plasma桌面,因为deepinwine环境跟KDE/Plasma不兼容,所以是无法打开的;如果是Gnome/Cinnamon/MATE/Budgie/deepin/LXDE/XFCE/Ubuntu/UKUI等桌面环境和WM,请稍等片刻,或多点击菜单图标一次。

6,Ubuntu系发行版不知道如何卸载包:wszqkzqk同学已提供deepinwine环境的uninstall.sh脚本。至于deepinwine的应用容器,用sudo apt remove 软件包主名命令来删除。比如deepin.com.qq.office_2.0.0deepin4_i386.deb的卸载命令是sudo apt remove deepin.com.qq.office

点赞数说明一切

Github上wszqkzqk移植的这个包已经获得几百个点赞,而且每天都在增长中。另外在我的小撸说说里有关这个软件包的评论也获得了相对多的点赞,我相信这已经能够说明这个包的可用性和稳定性了。

截图展示

这是小撸我在Ubuntu 18.04系统上运行deepin.com.*应用容器的全家福。QQ/TIM都能记住密码、自动登录、永不崩溃、永不掉线、正常截图、字体渲染正确、能调用Linux系统输入法,给我的感觉就像Linux下的原生应用,我都分不清自己用的是Windows还是Linux。

视频展示

评论区里有些人反应QQ无法发送图片,我用了发送文件、发送图片、截图、隐藏QQ窗口再截图4种方式发送图片,都没有问题。需要注意的是,如果隐藏当前窗口截图的话,截图会保留在剪贴板上,要Ctrl+V粘贴之后才能发送。以下是视频展示。不能观看视频的,请直接下载http://oqm3d0q5g.bkt.clouddn.com/SimpleScreenRecorder-2018-08-20_10.55.25.mp4

关于一些坑

wine的坑:很早以前wine就能安装“运行”原生版的QQ,但只是给了用户一个惊喜,不到2分钟它就会自动崩溃。因为wine无法做到跟windows环境一模一样,wine的国际开发者也不可能为了一个在中国运营了很多年、时至今日已非常复杂的Windows应用去做充分的适配,而且官方QQ的迭代太快,所以各种花样崩溃和不可用几乎是无可避免的。不要幻想自己有特异功能可以用原生的wine运行原生的QQ。

发行版的坑:deepin-wine系列软件虽然在基于Debian的deepin发行版里完美运行,但是原生Debian却不能(已经在最新的Debian 9.4上测试过,不兼容),同样基于Debian的Ubuntu在这之前也是很不容易的,原因在于deepin-wine的依赖关系非常复杂。现在有了这个解决方案,Ubuntu系发行版已经没有问题了。

deepin-wine不同版本的坑:比如archlinux系发行版里“deepin-wine-tim”就是个坑,以前我自己也踩过这个坑,贴吧前几天仍有人反映这个deepin-wine-tim有问题,据分析,此包使用的竟然不是deepin-wine环境,而是原生的wine环境,只是使用了deepin-tim的应用容器,像这种情况,当然会bug频出。ArchLinux系用户想要稳定好用的deepin Wine QQ,请只选用wszqkzqk移植的(依赖deepin-wine环境的)deepin.com.qq.im和deepin.com.qq.office

KDE的坑:据用户反映,KDE里无法正常使用本文提到的wine QQ方案,暂时无解。建议改用其他桌面环境(Gnome/Cinnamon/MATE/Budgie/deepin/LXDE/XFCE/Ubuntu/UKUI)或任意WM。(11月初有用户反馈,KDE桌面里的deepin-wine应用容器可以正常使用了,经本人在Manjaro 18.0里测试证明这是个谣言。)

请支持他们!

deepin:deepin-wine环境及其应用容器包含了deepin公司的大量心血。安装只需一瞬间,开发却可能是寒来暑往、披星戴月、夜以继日的奋斗才能搞定。请自觉用各种方式支持deepin,不止是物质上的,更是精神上的。

wszqkzqk同学:这里是他的github码云库。他还未成年,对deepin产品一腔热忱。一放暑假,就搞定了Ubuntu的一键deepin-wine-ubuntu安装包。没有他的移植工作,我在manjaro系统里可能就用不上稳定好用的TIM/QQ,更不用说他现在又搞定了用户量最多的Ubuntu系发行版了!

What?!! 您还是有各种问题?

对笔者小撸来说,安装和配置本文提到的deepin-wine系列软件都很顺畅,运行也很稳定,但是没想到还是有人会在各种问题上卡壳,抱怨不断。

由于毕竟是第三方移植的闭源软件,加上Linux发行版和桌面环境众多,肯定会有兼容性问题存在——其中最大的问题是不能在Plasma桌面里运行,其他都是可以忽略的小问题——但相比以前非常拙劣、完全不可用的方案,已经是巨大的进步了。如果你有“强迫症倾向”,实在无法忍受某些bug,但又不想寻求其他解决方案(比如放弃折腾满足现状、改用常用的成熟的DE、改用windows虚拟机等),请最好直接联系笔者(QQ)978655858,打赏20-50元,打开Teamviewer,让笔者远程协助帮你搞定。不搞定可退费。


相关博文



以下是网友的187条评论,您赞同吗?

  1. viger
    2018-12-10 14:39

    QQ系统栏图标过段时间莫名其妙的消失了。日志里面也没报错什么的。

    • 小撸
      2018-12-10 14:46

      回答这个问题,需要你自觉打赏。既是帮助自己,也是帮助别人。另外,请清楚描述自己的问题,是什么发行版?什么桌面环境?什么dock或panel?安装步骤按顺序执行了吗?

  2. 2018-12-6 16:21

    微信有黑色的窗口。。。怎么也关不掉。。这是咋回事

    • 小撸
      2018-12-7 16:28

      “玄幻”小黑块的问题我这里并没有出现。如果有强迫症实在无法忍受,建议卸载掉,改用windows。23333

    • CSJ
      2018-12-8 22:06

      表示我用QQ的时候也有小黑窗,不过关得掉~应该是 BUG,毕竟完美模拟难以实现。

      • 小撸
        2018-12-9 5:52

        你们这些人啊,真是完美主义者,不过都是要求别人的。这个QQ包括了1000个功能,你们却盯着这个小黑窗bug不放,这么矫情就别用好不好?

        • 183.160.213.*** [ 匿名 ]
          2018-12-10 21:52

          人家也只是说出了这么个现象,也没要求别人怎么样。反倒是你这种高高在上的语气是怎么回事

  3. 144.34.183.*** [ 匿名 ]
    2018-12-6 16:18

    您好,请问要如何完全卸载这个版本的wine呢?为什么我要卸载的时候提示没有安装?

    • 144.34.183.*** [ 匿名 ]
      2018-12-6 16:20

      包括deepin和wine的彻底卸载

    • 小撸
      2018-12-6 16:34

      哈哈,像不像流氓软件啊,简直是业界毒瘤啊。开源世界怎么容的下deepinwine这种流氓木马软件?一旦安装就没法删除了。呵呵呵。

  4. wszqkzqk
    2018-12-1 18:59

    刚刚收到一个东西,还没有测试
    https://github.com/wszqkzqk/deepin-wine-ubuntu/pull/49

    • 小撸
      2018-12-7 16:21

      那你可要忙一阵子了。

      • wszqkzqk
        2018-12-8 22:39

        不存在的,学业都忙不过来,不可能忙这个。。。

  5. 183.129.146.*** [ 匿名 ]
    2018-12-1 16:24

    在18.04 上安装,装好后是好的。
    然后,QQ,旺旺输入变成了方块。

    • 小撸
      2018-12-1 17:04

      有时候我怀疑马化腾出了Linux QQ 2.0,有些人还是不会装不会用。

  6. 144.34.183.*** [ 匿名 ]
    2018-11-29 20:25

    您好!请问文中“Ubuntu系发行版*安装deepin wine QQ的步骤”,我按照操作安装好.deb文件了,那么我要如何打开qq呢?请帮帮我,才接触Linux,所以很多不懂,谢谢!

    • 小撸
      2018-11-29 21:00

      左下角按钮打开所有应用列表搜索QQ或TIM。

      • 144.34.183.*** [ 匿名 ]
        2018-11-29 22:31

        我明白了,是因为有的版本安装不上,安装上的在applications里边都有,谢谢!

        • 小撸
          2018-11-30 3:51

          你真不错,竟然还能安装上一些版本。

          • 144.34.183.*** [ 匿名 ]
            2018-12-5 9:33

            嘿嘿,现在我想知道“请问,某个应用如何卸载?比如有道词典”,谢谢

          • 小撸
            2018-12-5 9:53

            sudo apt remove pkgname

  7. 171.214.180.*** [ 匿名 ]
    2018-11-27 12:33

    不知道可以修改deepin-wine的程序界面字体吗,如果可以怎么样修改?

  8. 114.222.109.*** [ 匿名 ]
    2018-11-21 13:51

    root@gx:/home/gx/office/11212018[13:49:13]# dpkg -i deepin.com.qq.office_2.0.0deepin4_i386.deb
    正在选中未选择的软件包 deepin.com.qq.office:i386。
    (正在读取数据库 ... 系统当前共安装有 337713 个文件和目录。)
    正准备解包 deepin.com.qq.office_2.0.0deepin4_i386.deb ...
    正在解包 deepin.com.qq.office:i386 (2.0.0deepin4) ...
    dpkg: 依赖关系问题使得 deepin.com.qq.office:i386 的配置工作不能继续:
    deepin.com.qq.office:i386 依赖于 deepin-wine (>= 1.9-11).
    deepin.com.qq.office:i386 依赖于 deepin-wine32.
    deepin.com.qq.office:i386 依赖于 deepin-wine32-preloader.
    deepin.com.qq.office:i386 依赖于 deepin-wine-helper (>= 1.0deepin34).

    dpkg: 处理软件包 deepin.com.qq.office:i386 (--install)时出错:
    依赖关系问题 - 仍未被配置
    正在处理用于 gnome-menus (3.13.3-6ubuntu3.1) 的触发器 ...
    正在处理用于 desktop-file-utils (0.22-1ubuntu5.1) 的触发器 ...
    正在处理用于 bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1) 的触发器 ...
    Rebuilding /usr/share/applications/bamf-2.index...
    正在处理用于 mime-support (3.59ubuntu1) 的触发器 ...
    正在处理用于 hicolor-icon-theme (0.15-0ubuntu1) 的触发器 ...
    在处理时有错误发生:
    deepin.com.qq.office:i386

    • 113.70.37.*** [ 匿名 ]
      2018-12-6 13:17

      你解决了没有?同问

    • 小撸
      2018-12-7 17:01

      仔细看教程,同学!第一步是安装deepinwine环境。

  9. wsxfp
    2018-11-15 12:15

    谢了阿,参与制作的各位辛苦了!

发表评论

电子邮件地址不会被公开。